<?php 
/**
 * The template for functions 
 *
 * @version    0.0.72
 * @package    mhix
 * @author     Zidithemes
 * @copyright  Copyright (C) 2018 zidithemes.tumblr.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * 
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }




require_once("inc/mhix-customizer.php");
require_once("inc/mhix-options.php");

function mhix_setup(){
		
	// ADD THEME SUPPORT
	add_theme_support( 'title-tag' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "custom-header" );
	add_theme_support( "custom-background" );
	add_theme_support( "post-thumbnails" );
	add_theme_support( 'custom-logo' );
	add_theme_support('woocommerce');

	// ADD EDITOR STYLE
	

	register_nav_menus(
	    array(
	      'primary-menu' => __( 'Primary Menu', 'mhix' ),
	    )
	  );

}

add_action('after_setup_theme', 'mhix_setup');


function mhix_load_styles_scripts(){
	// NOTE:   SOME OF THESE SCRIPTS ARE HOSTED ON A CDN AND ARE NOT STORED LOCALLY... SO THIS THEME MAY NOT RENDER PROPERLY IF YOU ARE NOT CONNECTED TO THE INTERNET
	
		wp_enqueue_style( 'mhix-style', get_template_directory_uri() . '/style.css');
		
		wp_enqueue_style( 'mhix-google-notoSans-font', 'https://fonts.googleapis.com/css?family=Noto+Sans');


		if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );
	
}

add_action('wp_enqueue_scripts', 'mhix_load_styles_scripts');



if (!function_exists('mhix_admin_style')) {
	function mhix_admin_style($hook) {
		
		if ('appearance_page_mhix_theme_info_options' === $hook) {
			wp_enqueue_style('mhix-admin-script-style', get_template_directory_uri() . '/css/mhix-admin.css');
		}
	}
}
add_action('admin_enqueue_scripts', 'mhix_admin_style');






// SET CONTENT WIDTH
if ( ! isset( $content_width ) ) $content_width = 600;




// Creating the sidebar
function mhix_menu_init() {


register_sidebar(
		array(
                'name' 			=> __('Sidebar Widgets', 'mhix'),
                'id'    		=> 'sidebar_id',
                'class'       	=> '',
				'description' 	=> __('Add sidebar widgets here', 'mhix'),
				'before_widget' => '<div class="sidebar-items">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));



	register_sidebar(array(
                'name' 			=> __('Left Footer', 'mhix'),
                'id'    		=> 'left_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'mhix'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Middle Footer', 'mhix'),
                'id'    		=> 'middle_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'mhix'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title'	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Right Footer', 'mhix'),
                'id'    		=> 'right_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'mhix'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Fourth Footer', 'mhix'),
                'id'    		=> 'fourth_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'mhix'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

	register_sidebar(array(
                'name' 			=> __('Full Width Footer', 'mhix'),
                'id'    		=> 'full_width_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'mhix'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

}
add_action('widgets_init', 'mhix_menu_init');


// this increases or decreaes the length of the excerpt on the index page
function mhix_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'mhix_excerpt_length', 999 );

function mhix_excerpt_more( $more ) {
    
    return ' <a class="read-more" href="'. esc_url( get_permalink( get_the_ID() ) ) . '">' . __('Read More', 'mhix') . '</a>';
}
add_filter( 'excerpt_more', 'mhix_excerpt_more' );


?>